org.apache.tinkerpop.gremlin.groovy.jsr223

## Class GroovyTranslator.DefaultTypeTranslator

- java.lang.Object
- - org.apache.tinkerpop.gremlin.groovy.jsr223.GroovyTranslator.DefaultTypeTranslator

- All Implemented Interfaces:
    BiFunction<String,Object,Object>, Translator.ScriptTranslator.TypeTranslator
  Enclosing class:
    GroovyTranslator

      public static class GroovyTranslator.DefaultTypeTranslator
      extends Object
      implements Translator.ScriptTranslator.TypeTranslator

  Performs standard type translation for the TinkerPop types to Groovy.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultTypeTranslator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `apply(String traversalSource, Object o)`
    `protected StringBuilder` | `convertPToString(P p, StringBuilder current)`
    `protected StringBuilder` | `convertTextPToString(TextP p, StringBuilder current)`
    `protected String` | `convertToString(Object object)`
    `protected String` | `internalTranslate(String start, Bytecode bytecode)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.BiFunction

      `andThen`

- - ### Constructor Detail

    - #### DefaultTypeTranslator

          public DefaultTypeTranslator()

  - ### Method Detail

    - #### apply

          public Object apply(String traversalSource,
                              Object o)

      Specified by:
        `apply` in interface `BiFunction<String,Object,Object>`

    - #### convertToString

          protected String convertToString(Object object)

    - #### internalTranslate

          protected String internalTranslate(String start,
                                             Bytecode bytecode)

    - #### convertPToString

          protected StringBuilder convertPToString(P p,
                                                   StringBuilder current)

    - #### convertTextPToString

          protected StringBuilder convertTextPToString(TextP p,
                                                       StringBuilder current)

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.